Subject: [bug#78428] [PATCH] gnu: elogind: Adjust patch for pkttyagent path.

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 20 May 2025 16:58:02 +0900

Hi,

Sergey Trofimov <[email-masked]> writes:

> Hi,
>
> Maxim Cournoyer <[email-masked]> writes:
>
>> Hi,
>>
>> Sergey Trofimov <[email-masked]> writes:
>>
>>> * gnu/packages/freedesktop.scm (elogind):
>>> [#:phases]<fix-pkttyagent-path>: Adjust the regexp to work with source
>>> version 255.17.
>>>
> [...]
>>
>> Oof.  It's terrible that these substitution fail silently.
>
> I remember phases had to return #t, it got relaxed in
> https://codeberg.org/guix/guix-mirror/commit/9621809ce8d984fff6421cb55fc851a24954be06

Yeah, the return value wouldn't here though.  What I meant was that it
would be nice if substitute* could fail when a pattern failed to match
(and thus substitute) anything.  See for example bug#36772.

>> 
>> This packages rebuilds about 4K, so we'll need to make a
>> 'elogind-fixed' package and use it as a replacement (graft). Would you
>> like to do so in this same change? You can send a v2.
>
> Sure, done.

Thanks.  I'll take a look now.

-- 
Thanks,
Maxim